from time import sleep
import robot

DRIVE_A = 5.3 # 10 degrees turn at power 1
TURN_A = 16 # 10 centimeter drive at power 1

def main():
    power = input("Power (64):")
    if power == "":
        power = 64
    else:
        power = int(power)

    turn_t = (DRIVE_A / power) * 9 # 10 degrees turn at given power
    drive_t = (TURN_A / power) * 10 # 10 centimeter drive at given power
    arlo = robot.Robot()

    try:
        while True:
            # Driving forward
            arlo.go_diff(power, power, 1, 1)
            sleep(drive_t)
            arlo.stop()

            # Turning 90 degrees
            arlo.go_diff(power, power, 1, 0)
            sleep(turn_t)
            arlo.stop()

    except KeyboardInterrupt:
        arlo.stop()


if __name__ == "__main__":

    main()
